post
https://api.octopush.com/v1/public/contact/unoptout
Encoding : UTF-8
Authentication
Your "api-key" and "api-login" identifiers must be added in the headers.
Definition
This web service allows you to remove a list of email addresses and/or phone numbers from your optout (blacklist), so that they can receive your campaigns again.
Special parameters
| Name | Type | Description |
|---|---|---|
| phone_numbers | array | Array of phone numbers to remove from optout. Maximum 200 phone numbers. |
| emails | array | Array of email addresses to remove from optout. Maximum 200 email addresses. |
| reason | string | Optional reason explaining why the contacts are removed from optout. |
Server Response Example in JSON
Success
{
"unoptout_numbers_count": 1,
"unoptout_emails_count": 1
}
The counters only take into account the contacts that were really removed from your optout list : contacts that
are not opted out are ignored.
400Bad request.
401Unauthorized.
403Forbidden.

